Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		fbterm
#Epoch:		0
Version:	1.6
Release:	1
License:	GNU/GPLv2
URL:		http://code.google.com/p/fbterm/
Group:		System/Base
Summary:	a fast FrameBuffer based TERMinal emulator for linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
# fix rpm packaging of fbterm
Patch0:		fbterm-rpmpack.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libx86-devel
BuildRequires: zlib-devel

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libx86-devel
BuildRequires: zlib-devel

%description
FbTerm is a fast terminal emulator for linux with frame buffer device or VESA video card. Features include:

    * mostly as fast as terminal of linux kernel while accelerated scrolling is enabled
    * select font with fontconfig and draw text with freetype2, same as Qt/Gtk+ based GUI apps
    * dynamically create/destroy up to 10 windows initially running default shell
    * record scroll-back history for every window
    * auto-detect text encoding with current locale, support double width scripts like Chinese, Japanese etc
    * switch between configurable additional text encodings with hot keys on the fly
    * copy/past selected text between windows with mouse when gpm server is running
    * change the orientation of screen display, a.k.a. screen rotation
    * lightweight input method framework with client-server architecture
    * background image for eye candy 

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix || :

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/fbterm
%{_mandir}/man1/fbterm.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- initial CCux package release
